#include "worker_connection_callback.h"
#include "master_main.h"

#include <balancer/kernel/process/children/worker_process.h>

namespace NSrvKernel::NProcessCore {
    void TWorkerConnectionCallback::UpPriority(TConnection* conn) noexcept {
        WorkerProcess_->Connections_.PushBack(conn);
    }

    void TWorkerConnectionCallback::AddCanceled(const NAddr::IRemoteAddr& addr) noexcept {
        WorkerProcess_->AddCanceled(addr);
    }
}
